Bug 1011106 - version.txt needs to be updated during installation
version.txt needs to be updated during installation
Status: CLOSED CURRENTRELEASE
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: Installer (Show other bugs)
6.0.0 GA
Unspecified Unspecified
unspecified Severity urgent
: ER4
: ---
Assigned To: Miles Tjandrawidjaja
Len DiMaggio
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-23 11:54 EDT by Len DiMaggio
Modified: 2014-09-03 00:56 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Len DiMaggio 2013-09-23 11:54:31 EDT
Description of problem:

In ER3, version.txt contains:
   JBoss Enterprise Application Platform - Version 6.1.0.GA

We should change this to:
   Red Hat JBoss Fuse Service Works - Version 6.0.0

(Can we also append "beta,", "GA," etc.?

Version-Release number of selected component (if applicable):
ER3

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Anne-Louise Tangring 2013-09-24 13:15:33 EDT
Append to version.txt rather than replace.
Comment 3 Nick Cross 2013-09-25 11:50:38 EDT
After discussion with Alan we will use the existing version from the manifest e.g. 6.0.0.ER3-redhat-1 without appending any further information.
Comment 4 Miles Tjandrawidjaja 2013-09-26 15:26:51 EDT
The version.txt file should now contain the proper information based from manifest.
Ex. Red Hat JBoss Fuse Service Works - Version 6.0.0.ER3-redhat-1

http://git.app.eng.bos.redhat.com/?p=jbossas-installer.git;a=commit;h=7e57e6516a5c56b159189791af02fa97210eb408
Comment 5 Len DiMaggio 2013-10-04 15:51:47 EDT
Verified in the Oct 4 ER4 respin #2 build.

Text reads:

=========================
JBoss Enterprise Application Platform - Version 6.1.0.GA

Red Hat JBoss Fuse Service Works - Version 6.0.0.ER4-redhat-1
=========================

Note You need to log in before you can comment on or make changes to this bug.